Description: Use the packaged version of php-random-compat instead of the embedded one
Author: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Forwarded: not-needed
Last-Update: 2018-07-12
Index: dokuwiki/vendor/composer/autoload_files.php
===================================================================
--- dokuwiki.orig/vendor/composer/autoload_files.php
+++ dokuwiki/vendor/composer/autoload_files.php
@@ -6,6 +6,6 @@ $vendorDir = dirname(dirname(__FILE__));
 $baseDir = dirname($vendorDir);
 
 return array(
-    '5255c38a0faeba867671b61dfda6d864' => $vendorDir . '/paragonie/random_compat/lib/random.php',
+    '5255c38a0faeba867671b61dfda6d864' => '/usr/share/php/random_compat/random.php',
     'decc78cc4436b1292c6c0d151b19445c' => '/usr/share/php/phpseclib/bootstrap.php',
 );
Index: dokuwiki/vendor/composer/autoload_static.php
===================================================================
--- dokuwiki.orig/vendor/composer/autoload_static.php
+++ dokuwiki/vendor/composer/autoload_static.php
@@ -7,7 +7,7 @@ namespace Composer\Autoload;
 class ComposerStaticInita19a915ee98347a0c787119619d2ff9b
 {
     public static $files = array (
-        '5255c38a0faeba867671b61dfda6d864' => __DIR__ . '/..' . '/paragonie/random_compat/lib/random.php',
+        '5255c38a0faeba867671b61dfda6d864' => '/usr/share/php/random_compat/random.php',
         'decc78cc4436b1292c6c0d151b19445c' => '/usr/share/php/phpseclib/bootstrap.php',
     );
 
